跳转到主要内容
告警与响应相关接口/告警路由与策略
GETAlerting起始版本 1.0同步需要认证

获取告警通知策略

获取特定通知策略标识符。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标识该资源。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • uuidString

    资源的UUID,唯一标识该资源。

    示例: policy-001

  • nameString

    资源名称。

    示例: Critical Alert Routing

  • descriptionString

    资源的详细描述。

    示例: Route critical alerts to ops channels

  • priorityInteger

    优先级。

    示例: 1

  • isDefaultBoolean

    是否默认捕获策略。

    示例: false

  • matchersList

    标签匹配器路由决策。

    示例: (nested array)

    • keyString

      键。

      示例: severity

    • operatorString

      比较运算符。

      示例: eq

    • valueString

      字段值。

      示例: critical

  • channelIdsList

    渠道UUI DS投递通知。

    示例: item1,item2

  • groupByList

    分组字段。

    示例: item1,item2

  • groupWaitInteger

    秒等待发送首次通知。

    示例: 30

  • groupIntervalInteger

    组周期。

    示例: 300

  • repeatIntervalInteger

    重复周期。

    示例: 3600

  • statusString

    状态信息。

    示例: active

  • createDateString

    创建时间。

    示例: 2024-01-15T09:00:00Z

  • lastOpDateString

    最近一次操作时间。

    示例: 2024-01-15T09:00:00Z

请求地址

GET/api/v1/alerting/notification-policies/{uuid}

/api/v1/alerting/notification-policies/{uuid}

操作 ID

GetAlertNotificationPolicy

永久链接

请求示例

curl -X GET '{host}/api/v1/alerting/notification-policies/{uuid}' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "uuid": "policy-001",
  "name": "Critical Alert Routing",
  "description": "Route critical alerts to ops channels",
  "priority": 1,
  "isDefault": false,
  "matchers": [
    {}
  ],
  "channelIds": [],
  "groupBy": []
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史